Create a monthly variable compensation
curl --request POST \
--url https://api-{region}.sesametime.com/contract/v1/monthly-variable-compensations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"salaryCompensationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "2024-01-15",
"amount": 500
}
'import requests
url = "https://api-{region}.sesametime.com/contract/v1/monthly-variable-compensations"
payload = {
"salaryCompensationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "2024-01-15",
"amount": 500
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
salaryCompensationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
date: '2024-01-15',
amount: 500
})
};
fetch('https://api-{region}.sesametime.com/contract/v1/monthly-variable-compensations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"salaryCompensationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 500,
"date": "2024-01-15",
"createdAt": "2020-01-01T10:00:00+01:00",
"updatedAt": "2020-01-01T10:00:00+01:00"
}
}{
"message": "Validation failed",
"errors": [
{
"field": "questionId",
"message": "This value is not a valid UUID."
},
{
"field": "answer",
"message": "This field is required for text-based questions."
}
]
}{
"message": "Invalid or missing API Key",
"code": "UNAUTHORIZED"
}{
"message": "Evaluation with ID 123e4567-e89b-12d3-a456-426614174000 was not found",
"code": "EVALUATION_NOT_FOUND"
}Monthly Variable Compensations
Create a monthly variable compensation
Creates or updates a monthly variable compensation for an employee-compensation assignment.
Important:
- The
salaryCompensationIdmust reference a salary compensation with a variable compensation type - The
datemust be within the salary compensation’s date range - The
datemust be a valid pay day according to the compensation’s period - The
amountcannot exceed the compensation’s maximum amount - If a record already exists for the same
salaryCompensationIdanddate, it will be updated instead of created
POST
/
contract
/
v1
/
monthly-variable-compensations
Create a monthly variable compensation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful response
Show child attributes
Show child attributes
Was this page helpful?
⌘I